<template>
   
         <!-- <router-view> -->
    <div id="home" ref="div1"  v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
        <div v-wechat-title="$route.meta.title=name"></div>
        <div  id="box" v-for="(item,index) in datalist" :key="index" @click="toproject(item)">
            <div id="top" :class="item.corlorType==='主导' ? 'bluecolor':'pinkcolor'">
                <img class="image1"  src="../../assets/four.png" alt="">&nbsp;&nbsp;
                <p class="toptitle">{{item.SFDC.Name}}</p>
            </div>
            
            <ul id="down" v-if="item.type=='实施'">
                <li><img class="imgicon" src="../../assets/jieduan.png" alt=""/>&nbsp;&nbsp;<span class="title">项目阶段:</span><span class="righttitle">{{item.SFDC.ProjectStage__c}}</span></li>
                <li><img class="imgicon" src="../../assets/shijian.png" alt=""/>&nbsp;&nbsp;<span class="title">预计上线时间:</span><span class="righttitle">{{item.SFDC.stimategolivedate__c}}</span></li>
                <li><img class="imgicon" src="../../assets/jine.png" alt=""/>&nbsp;&nbsp;<span class="title">合同金额:</span><span class="righttitle">{{item.SFDC.CurrencyIsoCode}}&nbsp;{{item.SFDC.Amount__c}}</span></li>
                <li><img class="imgicon" src="../../assets/chengben.png" alt=""/>&nbsp;&nbsp;<span class="title">预计项目成本:</span><span class="righttitle">{{item.SFDC.Projected_Cost__c}}</span></li>
            </ul>
            <ul id="downo" v-if="item.type=='维护'">
                <!-- <li><img class="imgicon" src="../../assets/leixing.png" alt=""/>&nbsp;<span class="title">项目名称:</span><span class="righttitle" >{{item.SFDC.Name}}</span></li> -->
                <li><img class="imgicon" src="../../assets/jieduan.png" alt=""/>&nbsp;&nbsp;<span class="title">签约维护人天:</span><span class="righttitle">{{item.SFDC.Contract_Maintain_Manday__c}}</span></li>
                <li><img class="imgicon" src="../../assets/shijian.png" alt=""/>&nbsp;&nbsp;<span class="title">剩余维护人天:</span><span class="righttitle">{{item.SFDC.Maintain_Surplus_Manday__c}}</span></li>
                <li><img class="imgicon" src="../../assets/jine.png" alt=""/>&nbsp;&nbsp;<span class="title">维护开始日期:</span><span class="righttitle">{{item.SFDC.maintenancestartday__c}}</span></li>
                <li><img class="imgicon" src="../../assets/chengben.png" alt=""/>&nbsp;&nbsp;<span class="title">维护结束日期:</span><span class="righttitle">{{item.SFDC.stopon__c}}</span></li>
            </ul>
            <!-- <ul id="downt"> -->
                <!-- <li><img class="imgicon" src="../../assets/leixing.png" alt=""/>&nbsp;<span class="title">项目名称:</span><span class="righttitle" >{{item.SFDC.Name}}</span></li> -->
                <!-- <li><img class="imgicon" src="../../assets/jieduan.png" alt=""/>&nbsp;&nbsp;<span class="title">项目阶段:</span><span class="righttitle">{{item.SFDC.ProjectStage__c}}</span></li>
                <li><img class="imgicon" src="../../assets/shijian.png" alt=""/>&nbsp;&nbsp;<span class="title">预计上线时间:</span><span class="righttitle">{{item.SFDC.stimategolivedate__c}}</span></li>
                <li><img class="imgicon" src="../../assets/jine.png" alt=""/>&nbsp;&nbsp;<span class="title">合同金额:</span><span class="righttitle">{{item.SFDC.CurrencyIsoCode}}&nbsp;{{item.SFDC.Amount__c}}</span></li>
                <li><img class="imgicon" src="../../assets/chengben.png" alt=""/>&nbsp;&nbsp;<span class="title">预计项目成本:</span><span class="righttitle">{{item.SFDC.Projected_Cost__c}}</span></li>
            </ul> -->
        </div>
        <div class="blockdiv"></div>
        <div id="footer">
            <button  :class="{active:num==0}"  @click="projecttype('ss',0)">实施项目</button>
            <button  :class="{active:num==1}"  @click="projecttype('wh',1)">维护项目</button>
            <button  :class="{active:num==2}"  @click="projecttype('gb',2)">关闭项目</button>
            <button   @click="searchproject()">搜索项目</button>
        </div> 
        <el-dialog
            title="提示"
            :visible.sync="issave"
            width="90%"
            height="20vh"
           >
            <span style="margin:0 auto; width:20%;">{{word}}</span>
            <span slot="footer" class="dialog-footer">
                <el-button style="background:#5C77A0; color:white;" @click="sureback()">确 定</el-button>
            </span>
        </el-dialog>
    </div>
    <!-- </router-view> -->
   
</template>
<script>
 import format from '../../utils/format.js';
export default {
    name:'index',
    data(){
        return{
            isshow:false,
            istype:'',
            shishidatalist:[],
            gblist:[],
            whList:[],
            datalist:[],
            word:'',
            issave:false,
            whichshow:false,
            whichshowtwo:false,
            btn:true,
            num:'',
            name:"",
            homeTop:0,
        }
    },
    methods:{
        toproject(item){
            if(item.type=="实施"){
                 this.$router.push({path:'./project',query:{id:item.SFDC.Id,name:item.SFDC.Name}})
            }else if(item.type=="维护"){
                 this.$router.push({path:'./defendproject',query:{id:item.SFDC.Id,name:item.SFDC.Name}})
            }
           
        },
       
        sureback(){
            this.issave=false;
        },
        searchproject(){
            this.$router.push('./searchproject')
        },
        projecttype(type,number){
            this.num=number;
            if(type=='ss'){
                this.datalist=this.shishidatalist;
                this.whichshow=true;
                this.whichshowtwo=false;
                this.name="实施项目";
            }else if(type=='wh'){
                console.log('111');
                this.datalist=this.whList;
                this.whichshow=false;
                this.whichshowtwo=false;
                this.name="维护项目";
            }else if(type=='gb'){
                this.datalist=this.gblist;
                this.whichshowtwo=true;
                this.name="关闭项目";
            }
        }
    }, 
   beforeRouteLeave(to, from, next) {
            let position = window.scrollY 
            if(position==null){
                position=0;
            }
            console.log(position);
            this.$store.commit('getHomeScrollTop',position);
            next();
            },
    watch:{
        $route(to,from){
            if(to.name==='index'){
                 let recruitScrollY = this.$store.state.scrolltop 
                 console.log(recruitScrollY);
                 window.scroll(0, recruitScrollY)
            }
        }
     },
    created(){
        var _mtac = {};
         (function() { 
            var mta = document.createElement("script");
            mta.src = "//pingjs.qq.com/h5/stats.js?v2.0.4"; 
            mta.setAttribute("name", "MTAH5");
            mta.setAttribute("sid", "500652293"); 
            var s = document.getElementsByTagName("script")[0]; 
            s.parentNode.insertBefore(mta, s); })(); 
            console.log(this.$store.state.isplist);
            // if(this.$store.state.isplist==true){
            //     console.log("0000");
            //     // let div1=vm.$refs.div1;
            //     // div1.scrollTop=this.$store.state.scrolltop;
            //     console.log(this.$store.state.scrolltop);
            //     window.scroll(0,this.$store.state.scrolltop);
            //      this.shishidatalist=this.$store.state.sslist;
            //       this.whList=this.$store.state.whlist;
            //        this.gblist=this.$store.state.gblist;
            //      this.datalist=this.shishidatalist;
            // }else{
                console.log("1111");
                  this.isshow=true;
                 this.istype="加载中";
                let that=this;
                client.apexrest('/rest/GetAllProject?staffid='+context.WEQYUserId,function(data){
                  console.log(data);
                  if(data.Message=="Success"){
                      that.$store.commit('getisplist',true);
                      that.isshow=false;
                      if(data.ssList.length>0){
                        that.shishidatalist=data.ssList;
                        that.shishidatalist.filter((val,index)=>{
                            val.SFDC.Amount__c=format(Number(val.SFDC.Amount__c));
                            val.SFDC.Projected_Cost__c=format(Number(val.SFDC.Projected_Cost__c));
                        })
                       
                      }else{
                          //无数据
                            that.shishidatalist=[];
                            that.issave=true;
                            that.word="无数据";
                          
                      }
                       that.$store.commit('getsslist',that.shishidatalist);
                      if(data.whList.length>0){
                          that.whList=data.whList;
                          that.whList.filter((val,index)=>{
                              val.SFDC.Amount__c=format(Number(val.SFDC.Amount__c))
                              val.SFDC.Projected_Cost__c=format(Number(val.SFDC.Projected_Cost__c));
                          })
                           
                      }else{
                          that.whList=[];
                      }
                      that.$store.commit('getwhlist',that.whList);
                      if(data.GbList.length>0){
                          that.gblist=data.GbList;
                          that.gblist.filter((val,index)=>{
                               val.SFDC.Amount__c=format(Number(val.SFDC.Amount__c))
                              val.SFDC.Projected_Cost__c=format(Number(val.SFDC.Projected_Cost__c));
                          })
                         
                      }else{
                          that.gblist=[];
                      }
                       that.$store.commit('getgblist',that.gblist);
                      that.datalist=that.shishidatalist;
                      
                      that.whichshow=true;
                  }else{
                      that.isshow=false;
                      that.issave=true;
                      that.word=data.Message;
                  }
                },function(error){
                    that.isshow=false;
                  console.log(error);
                    that.issave=true;
                    that.word=error;
                },'GET',null,true)
            
           // }
    }
}
</script>
<style lang="scss" type="text/scss" scoped>
    #home{
        width:100%;
    }
    #home #box{
        width: 96%;
        margin: 0.2rem auto 0 auto;
        height: 5rem;
        /* background:white; */
        /* box-shadow: 0.05rem 0.1rem #efefef; */
        /* border-radius: 0.2rem */
    }
    
    #home #box #top{
        height: auto;
        width: 100%;
        /* background:#CFDCEF; */
        border-radius: 0.2rem 0.2rem 0 0;
        display: flex;
        align-items: center;
        padding-top: 0.2rem;
        padding-bottom: 0.2rem;
        /* justify-content: space-between; */
        // line-height: 1rem;
    }
     #home #box .bluecolor{
         background:#CFDCEF;
     }
     #home #box .pinkcolor{
         background:#E0EEE0;
     }
     #home #box #top .image1{
         width:0.6rem; 
         height:0.6rem; 
        //  margin-top:0.2rem;
         margin-left:0.1rem;
     }
       #home #box #top .toptitle{
          font-weight: 600;
          font-size: 0.34rem;
          width:86%;
          color: gray;
        //   overflow: hidden;
        //   text-overflow:ellipsis;
        //   white-space: nowrap;
       }
     #home #box #down{
         width: 100%;
         height: 4rem;
         background: white;
         border-radius:0 0 0.2rem 0.2rem;

     }
      #home #box #downo{
         width: 100%;
         height: 4rem;
         background: white;
         border-radius:0 0 0.2rem 0.2rem;
        /* display: none; */
     }
      #home #box #downo li{
        width:100%;
         /* padding-left: 2%; */
         height: 1rem;
         line-height: 1rem;
         border-bottom: 0.02rem solid lightgray;
         display: flex;
         justify-content: space-between;

     } 
     #home #box #down li{
         width:100%;
         /* padding-left: 2%; */
         height: 1rem;
         line-height: 1rem;
         border-bottom: 0.02rem solid lightgray;
         display: flex;
         justify-content: space-between;
     }
     #home #box #down li  .imgicon{
         width:0.35rem;
         height:0.35rem;
        margin-top: 4%;
        margin-left: 3%;
     }
      #home #box #downo li .imgicon{
           width:0.35rem;
         height:0.35rem;
        margin-top: 4%;
        margin-left: 3%;
      }

     #home #box #down li .title{
         /* margin-left: 3%; */
         color:gray;
         width:40%;
         /* width:30% */
     }
     #home #box #downo li .title{
           color:gray;
         width:40%;
     }
     #home #box #downo li .righttitle{
         margin-right:3%;
         color:gray;
         overflow: hidden;
          text-overflow:ellipsis; 
          white-space: nowrap;
         width:50%;
        text-align: right;
     }
     #home #box #down li .righttitle{
         margin-right:3%;
         color:gray;
         overflow: hidden;
          text-overflow:ellipsis; 
          white-space: nowrap;
         width:50%;
        text-align: right;

     }
      #home #box #down li:last-child{
          border-bottom: none;
      }
      #home #box #downo li:last-child{
          border-bottom: none;
      }
    #home  .blockdiv{
        height:2rem;
    }
    #home #footer{
        width:100%;
        height: 1rem;
        background:#5477AB;
        display: flex;
        margin:0 auto;
        color: white;
        position: fixed;
        text-align: center;
        left: 0;
        bottom:0;
        line-height: 1rem;
        font-size: 0.32rem;
    }
    #home #footer button{
        width: 25%;
        height: 1rem;
        line-height: 1rem;
        color: white;
        font-size: 0.28rem;
        background: #5477AB;
        border-right: 0.02rem solid white;
    }
    #home #footer .active{
         background: #89B57E;
    }
    /* #home #footer .btpclass{
        background:#E0EEE0;
    } */

</style>

